---
title: "ESSAYS"
author: "['DAVID HUME', 'Hannaford Bennett']"
subtitle: "By DAVID HUME"
header-includes:
  - \usepackage[paperwidth=4in, paperheight=6in, top=0.25in, bottom=0.25in, right=0.25in, left=0.5in, includehead, includefoot]{geometry} # 
  - \usepackage{fancyhdr}
  - \pagestyle{fancy}
  - \fancyhf{}
  - \fancyfoot[C]{
     \thepage
     }
  - \usepackage{longtable} 
  - \pagenumbering{arabic}
documentclass: book
output: pdf_document
fontsize: 10
---

 # Analytic Table of Contents

**BIOGRAPHICAL INTRODUCTION**

I.  Early Life and Education

    A.  Family Background

    B.  Schooling

    C.  University

    D.  Early Career Attempts

        1.  Law

        2.  Commerce

II.  Literary Beginnings in France

    A.  Self-imposed Literary Path

    B.  First Book: _Treatise of Human Nature_

    C.  First Volume: _Essays, Moral and Political_

III.  Career Diversions

    A.  Tutor to the Marquis of Annandale

    B.  Secretary to General St. Clair

    C.  Embassy to Turin and Vienna

IV.  Return to Literary Life

    A.  _Inquiry Concerning Human Understanding_

    B.  _Moral and Political Essays_ (Second Volume)

    C.  Reputation and Recognition

    D.  _Political Discourses_

    E.  _Inquiry Concerning the Principles of Morals_

V.  Career as Historian

    A.  Librarian Appointment

    B.  _History of England_ (First and Second Volumes)

    C.  _Natural History of Religion_

    D.  Reputation and Criticism

VI.  Ambassadorship to France

    A.  Appointment to the Embassy of Lord Hertford

    B.  Reception in French Society

VII.  Return to Edinburgh

    A.  Retirement and Resignation of Office

    B.  Society and Accomplishments

VIII.  Final Years and Death

    A.  Health and Illness

    B.  Final Writings and Reflections

    C.  Death

    D.  Burial

**ESSAYS**

I.  **OF THE DELICACY OF TASTE AND PASSION**

    A.  Delicacy of Passion

        1.  Exquisite Sensibility to Life's Events

        2.  Heightened Enjoyment and Sorrow

        3.  Inconvenience and Imprudence

    B.  Delicacy of Taste

        1.  Sensitivity to Beauty and Deformity

        2.  Pleasure in Fine Conversation

        3.  Displeasure in Rudeness and Impertinence

    C.  Cultivating Delicacy of Taste

        1.  Preference for the Liberal Arts

        2.  Relish for the Beauty of Poetry, Music, and Painting

        3.  Strong Sense and Judgment

        4.  Rejection of Frivolous Pleasures

        5.  Cure for Delicacy of Passion

    D.  Sensibility to Tender Passions

        1.  Improvement of Temper through the Study of the Arts

        2.  Soft and Tender Emotions

        3.  Rejection of Boisterous Emotions

II.  **OF THE LIBERTY OF THE PRESS**

    A.  Extreme Liberty in Great Britain

    B.  Reason for the Liberty of the Press

        1.  Mixed Form of Government

        2.  Approaching Extremes in Government:

            A.  Absolute Monarchy

            B.  Republic

        3.  Mutual Jealousy and Watchfulness in Mixed Government

        4.  Preservation of the Balance of Power

    C.  Consequences of Liberty of the Press

        1.  Prevention of Arbitrary Power

        2.  Curbing of Court Ambition

        3.  Free Expression of Opinion

    D.  Evils Attending Liberty of the Press

        1.  Potential for Abuse

        2.  Difficulty of Remedy

    E.  Liberty of the Press as a Right

        1.  Absence of Popular Tumults or Rebellion

        2.  Advantages of Open Discussion

        3.  Comparison of Liberty and Censorship

III.  **THAT POLITICS MAY BE REDUCED TO A SCIENCE**

    A.  Controversy Regarding the Difference Between Forms of Government

        1.  Argument for the Importance of Administration

        2.  Argument for the Influence of Forms of Government

    B.  Examples of Change in Government

        1.  French Government Under Henry III and Henry IV

        2.  Value of Checks and Controls in a Free Government

    C.  Influence of Laws and Forms of Government

        1.  Comparison to the Mathematical Sciences

    D.  Example: Roman Republic

        1.  Unbounded Power of the People

        2.  Consequences of a Collective Body:

            A.  Tyranny of the City Tribes

            B.  Licentiousness

            C.  Anarchy

            D.  Rise of Absolute Power

    E.  Example: Venetian and Polish Aristocracy

        1.  Venetian System: Power of the Whole Body

        2.  Polish System: Power of Individual Nobles

    F.  Example: Limited Monarchy

        1.  The Prince: Elective or Hereditary

        2.  Disadvantages of Elective Rule:

            A.  Factions

            B.  Civil War

            C.  Incompetence of Leaders

            D.  Power of the Elected

    G.  General Axiom: Optimal Form of Government

        1.  Hereditary Prince

        2.  Nobility without Vassals

        3.  People Voting by Representatives

    H.  Influence of Laws on Society

        1.  The Example of the Roman Commonwealth

        2.  Oppression of Provinces by a Free State

        3.  Importance of a System of Laws

    I.  Influence of Public and Private Conduct

        1.  Virtue in Government and Society

        2.  Moral Depravity in the Roman Commonwealth

IV.  **OF THE ORIGIN OF GOVERNMENT**

    A.  Origin of Society

        1.  Family Life

        2.  Necessity, Inclination, and Habit

    B.  Origin of Political Society

        1.  Necessity of Justice

        2.  Frailty of Human Nature

        3.  The Role of the Magistrate

    C.  The Duty of Obedience

        1.  Support for Justice

        2.  Allegiance to the Magistrate

    D.  The Importance of Government

        1.  Better Maintenance of Order

        2.  Greater Security for Duty to the Magistrate

        3.  Influence of Government Officials

    E.  The Origins of Government

        1.  Early Government in a State of War

        2.  Inherence of Authority in a Chieftain

        3.  Evolution of Government Power:

            A.  Revenue

            B.  Rewards and Punishments

            C.  Habit and Custom

    F.  Intestine Struggle: Authority and Liberty

        1.  The Perpetual Struggle

        2.  Necessity of a Sacrifice of Liberty

        3.  Limitations of Authority:

            A.  Taxes

            B.  Lives and Fortunes

            C.  Power of Religion

            D.  Prejudices and Opinions

    G.  Free Government

        1.  Partition of Power

        2.  General and Equal Laws

        3.  The Importance of Authority

        4.  Preference for Authority Over Liberty

V.  **OF THE INDEPENDENCY OF PARLIAMENT**

    A.  The Maxim: Supposing Men to be Knaves

        1.  Application to Politics

        2.  Honour as a Check on Individual Conduct

        3.  Removal of Checks in a Collective Body

        4.  The Power of the Majority

    B.  Distribution of Power in Government

        1.  The Power of the House of Commons

        2.  The King's Power as a Check

        3.  The Power of the Crown in the Executive

        4.  The Right of the House of Commons to Grant Money

        5.  The Power of the House of Lords

    C.  The Paradox: The Power of the House of Commons

        1.  The Restraint of Interest

        2.  The Influence of the Crown

    D.  The Controversy: Court Influence and Parliamentary Dependence

        1.  The Position of the Country Party

        2.  The Position of the Court Party

        3.  The Necessity of Compromise

        4.  The Influence of the Crown

        5.  The Inconvenience of Extreme Positions

        6.  The Instability of Limited Monarchy

    E.  The Importance of the Balance of Power

        1.  The Role of the House of Commons

        2.  The Danger of the Concentration of Power

VI.  **WHETHER THE BRITISH GOVERNMENT INCLINES MORE TO ABSOLUTE MONARCHY OR
TO A REPUBLIC**

    A.  Argument for Absolute Monarchy

        1.  The Influence of Property on Power

        2.  The Power of Wealth

        3.  The Great Property of the Crown

        4.  The Increase of Power

        5.  Factors Supporting Monarchy:

            A.  Luxury

            B.  Corruption

            C.  Prerogatives

            D.  Command of Military Force

    B.  Argument for a Republic

        1.  The Influence of Usurped Power

        2.  The Restraint of Legal Authority

        3.  The Danger of a New Sect

    C.  The Importance of Public Opinion

        1.  The Influence of Opinion on Affairs

        2.  The Change in Public Opinion:

            A.  Increased Learning

            B.  Spread of Liberty

            C.  Loss of Respect for Authority

        3.  The Potential Loss of Monarchy

    D.  Conclusion: A Slow but Steady Increase in Power

    E.  The Inevitability of Change

        1.  The Cycle of Government

        2.  The Advantages of Liberty

        3.  The Advantages of Monarchy

        4.  The Inevitable Death of the Constitution

        5.  The Danger of a Popular Government:

            A.  Civil Wars

            B.  Tyranny of a Faction

            C.  Return to Absolute Monarchy

VII.  **OF PARTIES IN GENERAL**

    A.  The Importance of Legislators and Founders of States

        1.  The Importance of Law and Government

        2.  The Influence of Arts and Sciences

        3.  The Effects of Laws on Virtue

        4.  The Place of Legislators in Society

    B.  The Danger of Factions

        1.  The Subversion of Government

        2.  The Impotence of Laws

        3.  Civil Animosity

        4.  The Difficulty of Eradication

    C.  The Nature of Factions

        1.  Personal Factions

        2.  Real Factions

    D.  Examples of Personal Factions

        1.  Small Republics

        2.  Factions in Italy

            A.  Neri and Bianchi of Florence

            B.  Fregosi and Adorni of Genoa

            C.  Colonne and Orsini of Rome

        3.  Factions in the Greek Empire:

            A.  Prasini and Veneti

    E.  The Persistence of Factions

        1.  The Influence of Passion

        2.  The Example of Guelf and Ghibelline

        3.  The Example of the Black and White Factions in Morocco

    F.  Real Factions:

        1.  Factions of Interest

        2.  Factions of Principle

        3.  Factions of Affection

    G.  Factions of Interest

        1.  Distinction of Authority

        2.  The Example of Nobles and People in a Mixed Government

        3.  The Example of the Landed and Trading in England

    H.  Factions of Principle

        1.  The Example of Religious Controversies

        2.  The Importance of Understanding

        3.  The Cause of Religious Wars and Divisions

        4.  The Role of the Priesthood

        5.  The Example of Ancient Religions

        6.  The Rise of Christianity

        7.  The Role of Philosophy in Religious Disputes

        8.  The Origin of Heresy

    I.  Factions of Affection

        1.  The Example of Family Attachments

        2.  The Importance of the Royal Family

        3.  The Influence of Spite

VII.  **OF THE PARTIES OF GREAT BRITAIN**

    A.  Sources of Party Division: Principle and Interest

        1.  The Balance of Power

        2.  The Influence of the Crown

        3.  Court and Country Parties

    B.  The Power of the Crown

        1.  Influence on Appointments

        2.  The Role of Interest

    C.  The Influence of the Clergy

        1.  Priests as Enemies of Liberty

        2.  The Influence of the Established Clergy

        3.  The Role of Dissenters

    D.  The Origins of Parties: The Great Rebellion

        1.  The Nature of the English Constitution

        2.  The Clash of Monarchy and Liberty

        3.  The Role of the Clergy

        4.  The Origins of Whig and Tory

    E.  The Nature of Whig and Tory

        1.  Tories:

            A.  Love of Monarchy

            B.  Affection for the Stuarts

        2.  Whigs:

            A.  Love of Liberty

            B.  Support for the Protestant Succession

    F.  The Influence of the Revolution

        1.  The Triumph of Liberty

        2.  The Tory View of the Revolution

        3.  The Whig View of the Revolution

    G.  The Persistence of Whig and Tory

        1.  The Decline of the Tory Party

        2.  The Rise of the Whig Party

        3.  The Role of Dissenters

    H.  The Distinction Between Whig and Tory in Scotland

        1.  The Division into Whigs and Jacobites

        2.  The Role of Presbyterian and Episcopalian Clergy

        3.  The Influence of Religious and Political Divisions

    I.  Conclusion: The Role of Principle and Interest

        1.  The Influence of Individual Motivations

        2.  The Danger of Extreme Positions

        3.  The Importance of Moderation

        4.  The Need for Compromise

        5.  The Legacy of the Past

***

# Analytic Table of Contents

 Here are some core audience attributes for a book of David Hume's essays, considering the context of being produced by  Andrea Ball & Marc D'Hooghe at http://www.freeliterature.org:

**Demographics:**

* **Age:** 18-65+ (a wide range due to the timeless nature of Hume's ideas)
* **Gender:**  Likely skewed slightly towards male, but the topics are relevant to both genders.
* **Education:** At least some college education, as Hume's writing can be dense and requires some understanding of philosophy and political thought.

**Interests & Values:**

* **Philosophy & Political Thought:** Core audience is interested in exploring philosophical and political ideas, especially those related to skepticism, empiricism, ethics, and government.
* **History:**  Appreciation for history, especially 18th-century British history, as Hume's writings often draw from historical examples. 
* **Critical Thinking:**  Individuals who value critical thinking, logical reasoning, and intellectual exploration.
* **Open-mindedness:** Those willing to engage with diverse perspectives and potentially challenge their own beliefs.
* **Literature & Classics:**  A fondness for literature and a familiarity with classical literature is helpful, as Hume's writing often references Greek and Roman thinkers.

**Behavioral & Psychographic Attributes:**

* **Active Readers:**  Likely to be voracious readers who enjoy engaging with complex ideas. 
* **Independent Thinkers:**  Individuals who prefer to form their own opinions and are not afraid to question authority. 
* **Curious & Inquisitive:**  Possess a natural curiosity about the world and a desire to understand it on a deeper level.
* **Open to New Ideas:**  Willing to consider different viewpoints and explore new ways of thinking.

**Additional Considerations:**

* **Free Literature.org Audience:** This specific platform likely attracts individuals who are interested in accessible, free educational resources. This means the audience may be broader than a traditional academic audience.

**It's important to remember:**

* This is a general overview, and the actual core audience may vary depending on specific marketing efforts. 
* It's also crucial to consider the platform's reach and the specific essays included in the book. 


